import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { PpUnicomUserLog } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-22 15:11
 */
interface PpUnicomUserLogCU extends ConditionUtil<PpUnicomUserLogCU> {
    USER_ID: FieldUtil<PpUnicomUserLogCU>;
    USE_SCORE: FieldUtil<PpUnicomUserLogCU>;
    USE_TIME: FieldUtil<PpUnicomUserLogCU>;
}
declare class PpUnicomUserLogMU extends TableUtilImpl<PpUnicomUserLogCU, PpUnicomUserLog> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): PpUnicomUserLogCU;
    static get USER_ID(): FieldUtil<PpUnicomUserLogCU>;
    static get USE_SCORE(): FieldUtil<PpUnicomUserLogCU>;
    static get USE_TIME(): FieldUtil<PpUnicomUserLogCU>;
    get USER_ID(): FieldUtil<PpUnicomUserLogCU>;
    get USE_SCORE(): FieldUtil<PpUnicomUserLogCU>;
    get USE_TIME(): FieldUtil<PpUnicomUserLogCU>;
}
export { PpUnicomUserLogMU, PpUnicomUserLogCU };
